/* Experiment med formulär och referenser till elementen med punktnotation och deras namn i name-attributen. */
/* Se även användning av pseudoklasser i CSS-koden. */
// --------------------------------------------------
// Globala variabler
let resElem;    // Element för utskrift av resultat
let formElem;   // Form-elementet för testformuläret
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
    resElem = document.querySelector("#result");
    formElem = document.querySelector("#testForm");
    formElem.testBtn.addEventListener("click", test);
    formElem.text1.addEventListener("keyup", checkText);
    checkText(); // Första kontroll då sidan laddats in
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Aktivera/inaktivera knapp beroende på om det finns en text
function checkText() {
    if (formElem.text1.value == "") {
        formElem.testBtn.disabled = true;
    }
    else {
        formElem.testBtn.disabled = false;
    }
} // Slut checkText
// --------------------------------------------------
// Testfunktion
function test() {
    let result = formElem.text1.value;
    result += ", " + formElem.text2.value;
    result += "<br>";
    result += formElem.menu.value;
    result += ", " + formElem.menu.selectedIndex;
    result += "<br>";
    for (let i = 0; i < formElem.check1.length; i++) {
        if (formElem.check1[i].checked) {
            result += formElem.check1[i].value + " ";
        }
    }
    result += "<br>";
    for (let i = 0; i < formElem.radio1.length; i++) {
        if (formElem.radio1[i].checked) {
            result += formElem.radio1[i].value;
            break;
        }
    }
    resElem.innerHTML = result;

    formElem.menu.selectedIndex = 0; // Återställ menyn
} // Slut test
// --------------------------------------------------
