/* Initiala värden som globala variabler, istället för att ha dem utspridda i koden. */
// --------------------------------------------------
// Globala variabler och konstanter
const roomPrice = [600, 800, 950];  // Pris för rumstyperna
const minAmount = 10000;
const maxAmount = 400000;
const initialAmount = 100000;
const stepAmount = 10000;
let formElem;   // Form-elementet för testformuläret
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
    formElem = document.querySelector("#testForm");

    // Fyll i prisuppgifter på webbsidan
    for (let i = 0; i < formElem.roomType.length; i++) {
        let priceInfo = "(" + roomPrice[i] + " kr)";
        formElem.roomType[i].parentElement.querySelector(".price").innerText = priceInfo;
    }

    // Gränser och initialt värde för lånebelopp samt koppla input till funktioner
    numberElem = formElem.amount;
    rangeElem = numberElem.previousElementSibling;
    rangeElem.min = numberElem.min = minAmount;
    rangeElem.max = numberElem.max = maxAmount;
    rangeElem.value = numberElem.value = initialAmount;
    rangeElem.step = numberElem.step = 10000;
    rangeElem.addEventListener("input", updateNumber);
    numberElem.addEventListener("input", updateRange);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Uppdatera fältet med tal utifrån skjutreglaget
function updateNumber() {
    this.nextElementSibling.value = this.value;
} // Slut updateNumber
// --------------------------------------------------
// Uppdatera skjutreglaget utifrån fältet med tal
function updateRange() {
    this.previousElementSibling.value = this.value;
} // Slut updateRange
// --------------------------------------------------
