/* Experiment med formulär */
// --------------------------------------------------
// Globala variabler och konstanter
let formElem;   // Form-elementet för testformuläret
let resElem;    // Element för utskrift av resultat
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
    resElem = document.querySelector("#result");
    formElem = document.querySelector("#testForm");

    formElem.text1.addEventListener("blur", checkText); // Då man lämnar textfältet

    numberElem = formElem.amount;
    rangeElem = numberElem.previousElementSibling;
    rangeElem.min = numberElem.min = 1;
    rangeElem.max = numberElem.max = 20;
    rangeElem.value = numberElem.value = 6;
    rangeElem.step = numberElem.step = 1;
    rangeElem.addEventListener("input", updateNumber); // Då man interagerar med skjutreglaget
    numberElem.addEventListener("input", updateRange); // Då man interagerar med det numeriska fältet

    formElem.menu.addEventListener("change", changeInMenu); // Då man väljer ett nytt alternativ i menyn

    formElem.addEventListener("submit", formSubmit); // Precis innan formuläret ska skickas
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Uppdatera fältet med tal utifrån skjutreglaget
function updateNumber() {
    this.nextElementSibling.value = this.value;
} // Slut updateNumber
// --------------------------------------------------
// Uppdatera skjutreglaget utifrån fältet med tal
function updateRange() {
    this.previousElementSibling.value = this.value;
} // Slut updateRange
// --------------------------------------------------
// Funktion för att kontrollera textfältet
function checkText() {
    resElem.innerText = "Antal tecken: " + this.value.length;
} // Slut checkText
// --------------------------------------------------
// Funktion för att kontrollera textfältet
function changeInMenu() {
    resElem.innerText = "Du valde: " + this.value;
} // Slut changeInMenu
// --------------------------------------------------
// Funktion för att kontrollera textfältet
function formSubmit(e) {
    let textlength = formElem.text1.value.length;
    let amount = formElem.amount.value;
    if (textlength != amount) {
        resElem.innerText = "Nä, detta vill jag inte skicka!";
        e.preventDefault(); // Förhindra formuläret från att skickas
    }
} // Slut formSubmit
// --------------------------------------------------
